## CamelOfflineStore

CamelOfflineStore

## Synopsis

                        CamelOfflineStore;
    gboolean            camel_offline_store_get_online      (CamelOfflineStore *store);
    gboolean            camel_offline_store_set_online_sync (CamelOfflineStore *store,
                                                             gboolean online,
                                                             GCancellable *cancellable,
                                                             GError **error);
    gboolean            camel_offline_store_prepare_for_offline_sync
                                                            (CamelOfflineStore *store,
                                                             GCancellable *cancellable,
                                                             GError **error);

## Object Hierarchy

      GObject
       +----CamelObject
             +----CamelService
                   +----CamelStore
                         +----CamelOfflineStore

## Implemented Interfaces

CamelOfflineStore implements GInitable.

## Description

## Details

### CamelOfflineStore

    typedef struct _CamelOfflineStore CamelOfflineStore;

### camel_offline_store_get_online ()

    gboolean            camel_offline_store_get_online      (CamelOfflineStore *store);

`store` : | a CamelOfflineStore object
Returns : | `TRUE` if `store` is online.

Since 2.24

### camel_offline_store_set_online_sync ()

    gboolean            camel_offline_store_set_online_sync (CamelOfflineStore *store,
                                                             gboolean online,
                                                             GCancellable *cancellable,
                                                             GError **error);

Sets the online/offline state of `store` according to `online`.

`store` : | a CamelOfflineStore object
`online` : | `TRUE` for online, `FALSE` for offline
`cancellable` : | optional GCancellable object, or `NULL`
`error` : | return location for a GError, or `NULL`
Returns : |

### camel_offline_store_prepare_for_offline_sync ()

    gboolean            camel_offline_store_prepare_for_offline_sync
                                                            (CamelOfflineStore *store,
                                                             GCancellable *cancellable,
                                                             GError **error);

`store` : |
`cancellable` : |
`error` : |
Returns : |

Since 2.22